#!/bin/bash

KAIMING_VERSION=$(dpkg-query -W -f='${Version}' kaiming 2>/dev/null) 

if [ -z "$KAIMING_VERSION" ] || [ "$KAIMING_VERSION" = "(无)" ]; then  
    exit 1
fi

 
VERSION_NUMBER=$(echo "$KAIMING_VERSION" | awk -F'.' '{print $1}')  

# 判断是否成功提取实际版本号
if [ -z "$VERSION_NUMBER" ]; then
    exit 1
fi

if [ "$XDG_SESSION_TYPE" != "x11" ] && [ "$XDG_SESSION_TYPE" != "wayland" ]; then 
    exit 0 
fi

# 比较版本号是否小于 1.0
if awk "BEGIN {exit !($VERSION_NUMBER < 1.0)}"; then
        notify-send "Kaiming Version Check" "开明版本已升级，请将开明应用重新下载"
fi
